kompendium
2.0.1
2.0.3 2.0.2 2.0.1

# toParameterSpec

open fun KType . toParameterSpec (info: MethodInfo <*, *>, feature: Kompendium ): List < Parameter >
Content copied to clipboard

Parses a type for all parameter information. All fields in the receiver must be annotated with io.bkbn.kompendium.annotations.Param.

#### Receiver

type

#### Return

list of valid parameter specs as detailed by the KType members

## Throws

kotlin.IllegalStateException

if the class could not be parsed properly